Bug 98636 - Installer crashed when loading evolution-1.0.8-11.src.rpm
Installer crashed when loading evolution-1.0.8-11.src.rpm
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-06 07:57 EDT by Volkher Kassner
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-23 17:29:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Volkher Kassner 2003-07-06 07:57:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
There was a fatal error communicating with the server.  The message was:
File Not Found: r-e-d.a

Error Message:
    Invalid RPM package evolution-1.0.8-11.src.rpm requested
Error Class Code: 17
Error Class Info: File not found.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Version-Release number of selected component (if applicable):
evolution-1.0.8-11.src.rpm

How reproducible:
Always

Steps to Reproduce:
1.Updating newly installed RH 8 via the Red Hat Update Agent
2.Choosing to get the src rpm's 
3.
    

Actual Results:  The Update Agent crashed with the report given in Description.
Even if I only choose to load the evolution package it crashes while accessing
the src rpm.

Expected Results:  well, it should fetch the named rpm from the inet and store
it in /var/spool/up2date

The next thing I would expect is the application not to die - it should simply
recover from the error, writing a log that an error with the faulty package has
occured.

Additional info:
Comment 1 Adrian Likins 2003-07-23 17:29:26 EDT
Files that are selected to be downloaded not being available is
considered a fatal error. This generally only occurs if there
is some sort of server side problem. The client handles this
the best it can (it tries it a couple times, then exits with
an error message if it continues to fail)

Note You need to log in before you can comment on or make changes to this bug.